Bug 1016437 - Provide removing of multiple transformers at once
Provide removing of multiple transformers at once
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: DR2
: ---
Assigned To: Rob Cernich
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 03:48 EDT by Tomas Rohovsky
Modified: 2016-01-04 02:50 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1761 None None None 2014-08-27 04:59:11 EDT

  None (edit)
Description Tomas Rohovsky 2013-10-08 03:48:25 EDT
Description of problem:
Provide removing of multiple transformers at once. It is annoying when removing them one by one. Enabling of choosing multiple transformers by pressing of Ctrl would be great.

Version-Release number of selected component (if applicable):
1.1

Steps to Reproduce:
1. Press Ctrl
2. Choose transformers by clicking on them
3. Click on Remove button

Actual results:
Removing of lately chosen transformer.

Expected results:
All chosen transformers are removed.
Comment 1 JBoss JIRA Server 2013-10-08 04:19:46 EDT
Tomas Rohovsky <trohovsk@redhat.com> made a comment on jira SWITCHYARD-1761

It will be also nice to enable this for Validators, Composite Properties, Component Properties, Bindings, Domain Properties, Security Configurations.
Comment 2 Brian Fitzpatrick 2014-06-13 11:30:06 EDT
SWITCHYARD-1761 was resolved back in January 2014 for 1.1.1 and that will carry over to 2.0. 

Tomas, if we want support for the other multi-remove issues, can we create separate BZs or JIRAs so we can address those separately? Properties could be grouped together, but validators, bindings, and security configurations are all separate concerns.
Comment 3 Brian Fitzpatrick 2014-06-13 11:33:10 EDT
Note that users are not able to remove generated transforms (i.e. those provided by Java classes using the @Transformer annotation) and only those defined explicitly in the design-time SwitchYard configuration.
Comment 4 Tomas Rohovsky 2014-06-16 15:46:36 EDT
Separate BZs are 1109985, 1109988, 1109992, 1109993.
Comment 5 JBoss JIRA Server 2014-06-16 19:49:34 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1761 to Closed
Comment 6 Rob Cernich 2014-08-26 12:00:48 EDT
Looks like this was fixed and incorporated into one of the 1.1 builds (i.e. FSW 6.0)

Note You need to log in before you can comment on or make changes to this bug.